| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Overview
Use this method to get the company check results after the company applicant has been reviewed.
Request example
curl -X GET \
'https://api.sumsub.com/resources/checks/latest?type=COMPANY&applicantId=6eea3f5204f940217bcbc05d' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>'Response explained
The response represents a list of checks with the company information. All attributes below are nullable.
Root variables
The following table explains the root variables of the response.
| Name | Type | Description |
|---|---|---|
answer | String | Company check answer (GREEN/RED/YELLOW). |
createdAt | Date | Date and time of the latest company check result, in the format YYYY-MM-DD hh:mm:ss (for example, 2022-04-05 17:12:31). |
companyCheckInfo | Object | Company check data. |
companyCheckInfo attributes
companyCheckInfo attributesThe following table explains the companyCheckInfo attributes representing the company data checked.
| Name | Type | Description |
|---|---|---|
companyName | String | Company name. |
companyNumber | String | Official registration number of the company. |
status | String | Company status, (for example, active). |
statusComment | String | Additional information about the company status. |
vatNumber | String | Value Added Tax number. |
taxNumber | String | Tax number (in some jurisdictions VAT and Tax may differ). |
type | String | Company legal type (for example, privateCompany, publicCompany). |
legalForm | String | Legal form of the company (for example, Private limited company, Joint stock company). |
source | String | Company data source/registry (for example, UK Government Digital Service). |
sourceUrl | String | Source URL. |
registeredCapital | String | Registered capital of the company. |
commentOnRevoke | String | Comment provided if the company status is revoked. |
employeesNumber | String | Approximate number of employees. |
webPage | String | Company's web page address. |
phone | String | Company's phone number. |
email | String | Company's email address. |
legalAddressStructured | Object | Legal address of the company in structured form. ⚠️ Deprecated in favor of companyAddresses but retained temporarily for backward compatibility. |
officeAddressStructured | Object | Office address of the company in structured form. ⚠️ Deprecated in favor of companyAddresses but retained temporarily for backward compatibility. |
companyAddresses | Array of objects | Unified list of the company addresses, each tagged by one or more types (legal, postal, trade).Populated in parallel with legacy officeAddress, officeAddressStructured, and legalAddressStructured, which are deprecated but retained temporarily for backward compatibility. |
industryCodes | Array of objects | List of industry classification codes and descriptions. |
incorporatedOn | Date | Date of incorporation, in the format YYYY-DD-MM hh:mm:ss (for example, 2025-03-25 15:30:00). |
startDate | Date | Date when the company started operations, in the format YYYY-DD-MM hh:mm:ss (for example, 2025-03-25 15:30:00). |
officeAddress | String | The unstructured office address. ⚠️ Deprecated but retained temporarily for backward compatibility. |
licenseInfo | Object | Company license information. |
alternativeNames | Array of strings | List of alternative names of the company: a brand name, business trademark, name in a local language, and so on. |
officers | Array of objects | List of company officers. |
significantPersons | Array of objects | List of significant company persons. |
affiliatedCompanies | Array of objects | List of affiliated companies (has the same attributes as companyCheckInfo). |
lastUpdated | Date | Timestamp of the last update, in the format YYYY-DD-MM hh:mm:ss (for example, 2025-03-25 15:30:00). |
additionalNumbers | Array of objects | Company's additional identification numbers with descriptions. |
companyAddresses attributes
companyAddresses attributes| Field | Type | Description |
|---|---|---|
id | String | Unique identifier of the address. |
addressTypes | Array of strings | Address type tags. One or more of the following:
|
address | Object | The address in structured form. |
main | Boolean | Indicates whether this is the company main address. |
imageId | Integer | Identifier of the associated document image, when available. |
officeAddressStructured, legalAddressStructured, correspondenceAddressStructured, and address attributes
officeAddressStructured, legalAddressStructured, correspondenceAddressStructured, and address attributes
NoteMind that
officeAddressStructured,legalAddressStructuredare deprecated but retained temporarily for backward compatibility.
| Field | Type | Description |
|---|---|---|
buildingName | String | Building name. |
flatNumber | String | Flat or apartment number. |
subStreet | String | Additional information related to the street. This could be a house number or any other details. |
subStreetEn | String | Automatic transliteration of the additional information related to the street into Latin characters. |
street | String | Street name. |
streetEn | String | Automatic transliteration of the street name into Latin characters. |
state | String | State, region, district, county or another territorial entity inside a country. |
stateEn | String | Automatic transliteration of the territorial entity into Latin characters. |
stateCode | String | Applicant state code based on the address. A list of state codes is based on the ISO 3166-2 format (for example, TR-34, AD-07). |
buildingNumber | String | Building number. |
town | String | City, town, or another settlement. |
townEn | String | Automatic transliteration of the settlement into Latin characters. |
postCode | String | Address postal code. |
country | String | ISO 3166-1 alpha-3 country code (for example, DEU, GBR, ARG). |
formattedAddress | String | Address in a human-readable format. For example, Design Offices, Philipsbornstraße 2, 30165 Hannover, Germany. |
source | String | Indicates the source of the address data.
|
industryCodes attributes
industryCodes attributes| Name | Type | Description |
|---|---|---|
code | String | Industry classification code. |
description | String | Industry description. |
licenseInfo attributes
licenseInfo attributes| Name | Type | Description |
|---|---|---|
licenseNumber | String | License number. |
issuedDate | Date | Date when the license was issued, in the format YYYY-DD-MM (for example, 2025-03-25). |
validUntil | Date | Expiration date of the license, in the format YYYY-DD-MM (for example, 2025-03-25). |
officers[] and significantPersons[]
officers[] and significantPersons[]| Name | Type | Description |
|---|---|---|
firstName | String | First name. |
middleName | String | Middle name. |
lastName | String | Last name. |
fullName | String | Full name. |
idNumber | String | Identifier of the primary document of the officer or owner. |
phone | String | Phone number. |
email | String | Email address. |
dob | Date | Date of birth, in the format YYYY-DD-MM (for example, 2025-03-25). |
nationality | String | Nationality. Can be presented in Alpha-3, Alpha-2, or as a country full name. |
country | String | Country of residence. Can be presented in Alpha-3, Alpha-2, or as a country full name. |
occupation | String | Occupation. |
notifiedOn | Date | Date of notification, in the format YYYY-DD-MM hh:mm:ss (for example, 2025-03-25 15:30:00). |
appointedOn | Date | Date of appointment, in the format YYYY-DD-MM hh:mm:ss (for example, 2025-03-25 15:30:00). |
correspondenceAddress | String | Correspondence address. |
correspondenceAddressStructured | Object | Structured information related to the correspondence address of the company. |
natureOfControl | String | Description of control over the company. |
shareAmount | String | Amount of shares held. |
role | String | Role within the company. |
status | String | Status within the company. |
lastUpdated | Date | Timestamp of the last update, in the format YYYY-DD-MM hh:mm:ss (for example, 2025-03-25 15:30:00). |
degreeOfSeparation | Integer | Level of beneficial owner in the control hierarchy:
|
type | String | Indicates if the officer or significant person is an individual or a legal entity (Individual or Business). |
directOwnershipPercent | Double | Direct percentage of the value of the outstanding stock of the corporation that the stockholder owns. |
indirectOwnershipPercent | Double | Indirect percentage of the value of the outstanding stock of the corporation that the stockholder owns. |
beneficialOwnershipPercent | Double | Beneficial percentage of the ownership and control of the company the person has. |
memberId | String | Internal member identifier. |
targetMembersIds | Array of strings | Related member identifiers. |
held | Boolean | Indicates whether the position is currently held (true) or not (false). |
affiliatedCompanies[]
affiliatedCompanies[]| Field | Type | Description |
|---|---|---|
companyName | String | Registered name of the affiliated company. |
companyNumber | String | Registry number of the affiliated company. |
status | String | Current status of the affiliated company (for example, active, inactive). |
additionalNumbers[]
additionalNumbers[]| Field | Type | Description |
|---|---|---|
value | String | Secondary registration or identification number value. |
description | String | Human-readable description of the number type. |
Response examples
If the request is successfully sent and processed, you will get a response like the one below.
{
"checks": [
{
"answer": "GREEN",
"createdAt": "2022-04-05 17:12:31",
"companyCheckInfo": {
"companyName": "your_company_name",
"companyNumber": "00012389",
"status": "active",
"type": "ltd",
"webPage" : "www.your_company_name.com",
"phone" : "+440000000000",
"email" : "[email protected]",
"source": "UK Government Digital Service",
"sourceUrl": "https://find-and-update.company-information.service.gov.uk/?_ga=2.187069601.885610489.1610661798-159972951.1610661798",
"industryCodes": [
{
"code": "74909",
"description": "Other professional, scientific and technical activities n.e.c."
}
],
"incorporatedOn": "2015-07-16 00:00:00",
"officeAddress": "Office Address London England",
"companyAddresses": [
{
"id": "3f2b1c9e-2a4d-4b6c-8e1f-9c0a1b2d3e4f",
"addressTypes": [
"legal"
],
"address": {
"street": "Baker Street",
"town": "London",
"postCode": "NW1 6XE",
"country": "GBR"
},
"main": true,
"imageId": 123456
},
{
"id": "8a7d4e2f-1b3c-4d5e-9f0a-2b4c6d8e0f1a",
"addressTypes": [
"postal",
"trade"
],
"address": {
"town": "Manchester",
"postCode": "M1 2AB",
"country": "GBR"
},
"main": false
}
]
"officers": [
{
"fullName": "Doe Simon John",
"type": "Individual",
"beneficialOwnershipPercent" : 4.6,
"dob": "1986-06-01",
"nationality": "Israeli",
"country": "Cyprus",
"degreeOfSeparation" : 2,
"occupation": "Manager",
"appointedOn": "2015-07-16 00:00:00",
"correspondenceAddress": "Correspondence Address London England",
"correspondenceAddressStructured" : {
"postCode" : "0000",
"country" : "CYP",
"formattedAddress" : "Some Address, London England"
},
"role": "director",
"status": "active"
}
],
"significantPersons": [
{
"fullName": "Some Trade Ltd",
"type" : "Business",
"directOwnershipPercent" : 75.0,
"degreeOfSeparation" : 1,
"notifiedOn": "2019-04-18 00:00:00",
"correspondenceAddress": "Correspondence Address London England",
"correspondenceAddressStructured" : {
"postCode" : "0000",
"country" : "GBR",
"formattedAddress" : "Some Address, London England"
},
"natureOfControl": "[ \"ownership-of-shares-75-to-100-percent\" , \"voting-rights-75-to-100-percent\" , \"right-to-appoint-and-remove-directors\"]",
"status": "active"
},
{
"fullName": "Mr John Doe",
"type" : "Individual",
"indirectOwnershipPercent" : 25.00,
"degreeOfSeparation" : 2,
"dob": "1986-06-01 00:00:00",
"nationality": "Israeli",
"country": "Israel",
"notifiedOn": "2016-04-06 00:00:00",
"correspondenceAddress": "Some St. 3570000 Haifa Israel",
"correspondenceAddressStructured" : {
"postCode" : "0000",
"country" : "ISR",
"formattedAddress" : "Some St. 3570000 Haifa Israel"
},
"natureOfControl": "[ \"ownership-of-shares-75-to-100-percent\"]",
"status": "resigned"
}
]
}
}
]
}If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:
{
"code": 400,
"correlationId": "49570045bc3f099789516f859b41ef16",
"description": "Invalid id '12321321321321'"
}